geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Struberg <strub...@yahoo.de>
Subject Re: asm 5
Date Sun, 27 Apr 2014 17:54:15 GMT
think we can really remove them.
They are just internal artifacts to help us prevent classpath clashes the easy way (without
any bloated OSGi or other ClassLoader hacks)


LieGrue,
strub




> On Monday, 31 March 2014, 21:27, Romain Manni-Bucau <rmannibucau@gmail.com> wrote:
> >G uys, I remove xbean asm 3 and 4 shades since actually xbean is only
> compatible with asm (raw one and for some modules) and the last
> supported asm (asm 5 now). Before for instance we were just throwing
> an exception away if asm 3 was used instead of asm4. Since asm 4 shade
> is already released and will not change for net release (same for 3) I
> think it is no more mandatory to keep it.
> 
> If there is any issue please shout ASAP since I'd like to release 3.17
> very soon.
> Romain Manni-Bucau
> Twitter: @rmannibucau
> Blog: http://rmannibucau.wordpress.com/
> LinkedIn: http://fr.linkedin.com/in/rmannibucau
> Github: https://github.com/rmannibucau
> 
> 
> 
> 
> 2014-03-31 14:08 GMT+02:00 Romain Manni-Bucau <rmannibucau@gmail.com>:
>>  FYI for openjpa https://issues.apache.org/jira/browse/OPENJPA-2487 ;)
>>  Romain Manni-Bucau
>>  Twitter: @rmannibucau
>>  Blog: http://rmannibucau.wordpress.com/
>>  LinkedIn: http://fr.linkedin.com/in/rmannibucau
>>  Github: https://github.com/rmannibucau
>> 
>> 
>> 
>>  2014-03-31 7:41 GMT+02:00 Romain Manni-Bucau <rmannibucau@gmail.com>:
>>>  if nobody is available I can have a try end of this week or next week
>>>  depending the time I get.
>>> 
>>>  Any blocking?
>>>  Romain Manni-Bucau
>>>  Twitter: @rmannibucau
>>>  Blog: http://rmannibucau.wordpress.com/
>>>  LinkedIn: http://fr.linkedin.com/in/rmannibucau
>>>  Github: https://github.com/rmannibucau
>>> 
>>> 
>>> 
>>>  2014-03-26 19:42 GMT+01:00 Romain Manni-Bucau 
> <rmannibucau@gmail.com>:
>>>>  of course Kevin!
>>>> 
>>>>  ok committed the module: 
> https://issues.apache.org/jira/browse/XBEAN-260
>>>> 
>>>>  when 3.17 is released (anyone can help? :)) I'll send patch for
>>>>  openjpa and fix openejb, openwebbeans
>>>> 
>>>>  Side note: I started to look it since openejb failed for a java 8 
> user
>>>>  so sooner is better I guess, at least saying "please replace 
> these
>>>>  jars" would be nice even if the whole stack is not yet 
> released
>>>>  Romain Manni-Bucau
>>>>  Twitter: @rmannibucau
>>>>  Blog: http://rmannibucau.wordpress.com/
>>>>  LinkedIn: http://fr.linkedin.com/in/rmannibucau
>>>>  Github: https://github.com/rmannibucau
>>>> 
>>>> 
>>>> 
>>>>  2014-03-26 14:33 GMT+01:00 Kevin Sutter <kwsutter@gmail.com>:
>>>>>  And, OpenJPA...  Which now has a dependency on your xbean 
> shading...  :-)
>>>>>  thanks!
>>>>> 
>>>>> 
>>>>>  On Wed, Mar 26, 2014 at 8:05 AM, Romain Manni-Bucau 
> <rmannibucau@gmail.com>
>>>>>  wrote:
>>>>>> 
>>>>>>  Hi guys,
>>>>>> 
>>>>>>  do we upgrade xbean shade to asm 5? we'll be mandatory 
> very soon for
>>>>>>  openejb, openwebbeans...
>>>>>> 
>>>>>>  Romain Manni-Bucau
>>>>>>  Twitter: @rmannibucau
>>>>>>  Blog: http://rmannibucau.wordpress.com/
>>>>>>  LinkedIn: http://fr.linkedin.com/in/rmannibucau
>>>>>>  Github: https://github.com/rmannibucau
>>>>> 
>>>>> 
> 

Mime
View raw message